Summary:	The Internet superserver daemon -- inetd
Summary(de.UTF-8):	Enthält die Netzwerkprogramm inetd
Summary(fr.UTF-8):	Inclut les programm réseau inetd
Summary(pl.UTF-8):	Super-serwer sieciowy -- inetd
Summary(tr.UTF-8):	inetd programlarını içerir
Name:		inetd
Version:	0.17
Release:	15
License:	BSD
Group:		Daemons
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-base-%{version}.tar.gz
# Source0-md5:	1f0193358e92559ec0f598b09ccbc0ec
Source1:	%{name}.inet.sh
Source2:	%{name}.conf.5
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	6e7cdb6277c4333a9c0d1e3e2231f29f
Patch0:		netkit-base-configure.patch
Patch1:		netkit-base-fixes.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	rc-inetd >= 0.8.1
Requires:	rc-scripts
Requires:	tcp_wrappers
Provides:	inetdaemon
Obsoletes:	inetdaemon
Obsoletes:	netkit-base
Obsoletes:	rlinetd
Obsoletes:	xinetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The netkit-base package contains the basic networking program inetd.
Inetd listens on certain Internet sockets for connection requests,
decides what program should receive each request, and starts up that
program.

%description -l de.UTF-8
Dieses Paket stellt das inetd-Programm bereit, der für elementare
Netzwerkaufgaben benutzt wird.

%description -l fr.UTF-8
Ce paquetage contient les programm inetd, tous deux utilisés pour le
réseau.

%description -l pl.UTF-8
W pakiecie tym znajduje się program inetd. Inetd wychwytuje żądania
połączeń na portach sieciowych, odsyłając je do uruchamianego przez
siebie konkretnego programu, który ma je obsłużyć.

%description -l tr.UTF-8
Bu paket ağ hizmetlerinde kullanılan temel yazılımlardan inetd içerir.

%prep
%setup -q -n netkit-base-%{version}
%patch0 -p1
%patch1 -p1

%build
export RPM_OPT_FLAGS="%{rpmcflags}"
./configure \
	--with-c-compiler="%{__cc}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8}}

install inetd/inetd $RPM_BUILD_ROOT%{_sbindir}
install inetd/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

> $RPM_BUILD_ROOT%{_sysconfdir}/inetd.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inet.script
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man5

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd restart

%preun
if [ "$1" = "0" ]; then
	%service -q rc-inetd restart
fi

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README
%attr(640,root,root) %ghost %{_sysconfdir}/inetd.conf
%attr(640,root,root) /etc/sysconfig/rc-inet.script
%attr(755,root,root) %{_sbindir}/inetd
%{_mandir}/man[58]/*
%lang(es) %{_mandir}/es/man8/inetd.8*
%lang(ja) %{_mandir}/ja/man8/inetd.8*
%lang(pl) %{_mandir}/pl/man8/inetd.8*
%changelog
* Tue Nov 20 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/inetd.git;a=log;h=master

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 477906b
- fix typo in rc-inet script
- rel 15

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 1e309c9
- dropped pre-cvs changelog

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> ac4381b
- rel 14

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> 1f48658
- typo

* Thu Jul 22 2010 Jan Rękorajski <baggins@pld-linux.org> 3d77913
- rel 13
- allow FLAGS to be a list in rc-inetd script

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5de178e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0dd9aa9
- converted to UTF-8

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 01fb30b
- added fixes patch (fixes build with gcc 4, kills some warnings)
- added RPC services support to rc-inet script
- actually package non-en manuals
- release 12

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> df2773e
- RPC support

* Sun Mar 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 9f31987
- fix some warnings and invalid lvalues

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> ca4de84
- use %service
- weird dep dropped (there's only one rc-inetd package)
- fixed preun (don't stop services this package doesn't own)
- rel 11

* Tue Aug 09 2005 saq <saq@pld-linux.org> c18bcae
- add source to PREAMBLE (bug#212)

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 71088c9
- release 10

* Mon Dec 01 2003 undefine <undefine@pld-linux.org> 883dd68
- release 9 to rebuild with ac

* Wed May 28 2003 Michal Moskal <michal@moskal.me> bd5d4f4
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 5e44fbb
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 04 2003 ankry <ankry@pld-linux.org> 70c89f6
unused

* Wed Jul 31 2002 Paweł Gołaszewski <blues@pld-linux.org> e89c0d3
- release 8
- new doc
- rebuild with slightly changed startup script
STBR

* Wed Jul 31 2002 Paweł Gołaszewski <blues@pld-linux.org> b86f4c4
- added status show

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> b164322
fixed a small typo

